## id3v2mux id3v2mux |

## Types and Values

struct | GstId3v2Mux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstTagMux
                        ╰── GstId3v2Mux

## Implemented Interfaces

GstId3v2Mux implements GstTagSetter.

## Description

This element adds ID3v2 tags to the beginning of a stream using the taglib library. More precisely, the tags written are ID3 version 2.4.0 tags (which means in practice that some hardware players or outdated programs might not be able to read them properly).

Applications can set the tags to write using the GstTagSetter interface. Tags sent by upstream elements will be picked up automatically (and merged according to the merge mode set via the tag setter interface).

### Example pipelines

    1
    gst-launch-1.0 -v filesrc location=foo.ogg ! decodebin ! audioconvert ! lame ! id3v2mux ! filesink location=foo.mp3

A pipeline that transcodes a file from Ogg/Vorbis to mp3 format with an ID3v2 that contains the same as the the Ogg/Vorbis file. Make sure the Ogg/Vorbis file actually has comments to preserve.

    1
    gst-launch-1.0 -m filesrc location=foo.mp3 ! id3demux ! fakesink silent=TRUE 2> /dev/null | grep taglist

Verify that tags have been written.

## Synopsis

### Element Information

plugin | taglib
author | Christophe Fergeau <teuf@gnome.org>
class | Formatter/Metadata

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | application/x-id3

## Functions

## Types and Values

### struct GstId3v2Mux

    struct GstId3v2Mux;

## See Also

GstID3Demux, GstTagSetter